Subject: bug#21272: partprobe does not wait for refresh of partition info

From: Phil Susi <[email-masked]>
Date: Fri, 18 Sep 2015 15:59:09 -0400

On 8/17/2015 11:58 AM, Brian C. Lane wrote:
> udev is responsible for making sure the device nodes are correct. You
> can't depend on them being present without checking for them first. A
> udevadm settle after partprobe may also help.

IIRC, libparted contacts udev to wait for the dev node to be created so
this shouldn't happen.  At least if it was configured with udev.